.h-100px {
/*
    height: 100px;
*/
}
.text-body {
    color: var(--phoenix-body-color);
}
.bg-body {
    background-color: var(--phoenix-body-bg);
}
.text-bg-body {
    background-color: var(--phoenix-body-bg);
    color: var(--phoenix-body-color);
}
.has-danger {
    position: relative;
}
.form-control-danger {
    background-color: #f4e1e4;
    color: #ec2b21;
}
.form-control-feedback {
    position: absolute;
    right: 16px;
    z-index: 1;
    display: block;
    margin-top: 16px;
    text-align: right;
    color: #ec2b21;
}
.theme-control-toggle.fa-icon-wait {
    opacity: 1;
}
.ws-nowrap {
    white-space: nowrap;
    text-overflow: ellipsis;
}
.profile-view .avatar-wrap,
.profile-edit .avatar-wrap {
    position: absolute;
    top: -44px;
/*
    left: calc(50% - 44px);
*/
}
.profile-edit .avatar-wrap:hover:before {
    content: '';
    display: block;
    background: url("/media/phoenix/assets/img/profile/camera.png") center center no-repeat #0003;
    position: absolute;
    top: 3px;
    left: 3px;
    right: 3px;
    bottom: 3px;
    z-index: 1;
    border-radius: 50%;
    cursor: pointer;
}
.profile-view .avatar-wrap:after,
.profile-edit .avatar-wrap:after {
    content: '';
    display: block;
    position: absolute;
    right: 0;
    bottom: 0;
    width: 22px;
    height: 22px;
    border: 2px solid #fff;
    border-radius: 50%;
    background-color: #24a00d;
    z-index: 2;
}
.profile-view .avatar-img,
.profile-edit .avatar-img {
    width: 88px;
    border: 3px solid #fff;
    backdrop-filter: blur(8px);
}
.profile-edit select.icon {
    padding-left: 36px;
}
.profile-edit .card-text.error:after {
    content: attr(data-error);
    color: var(--phoenix-danger);
    position: absolute;
    right: 0;
    top: 0;
    padding: 16px;
    width: 50%;
    text-align: right;
    font-size: 90%;
    background-color: var(--phoenix-emphasis-bg);
}
input[type="date"] {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

input[type="date"]::-webkit-inner-spin-button,
input[type="date"]::-webkit-calendar-picker-indicator {
    display: none;
    -webkit-appearance: none;
}
.subform-repeatable-wrapper .subform-repeatable > .btn-toolbar,
.field-wrapper-jform_com_fields_education .subform-repeatable > .btn-toolbar {
    display: none;
}
.subform-repeatable {
    counter-reset: subrepgrp 0;
}
.subform-repeatable-group .btn-group {
    display: flex;
    flex-direction: row;
}
.subform-repeatable .counter::before {
    counter-increment: subrepgrp;
    content: counter(subrepgrp);
}
.subform-repeatable-wrapper .btn-toolbar .form-control {
    min-width: 37px;
    background-color: var(--phoenix-emphasis-bg);
    opacity: 1;
}
.select2-dropdown,
.select2-container--default .select2-selection--multiple {
    background-color: var(--phoenix-emphasis-bg) !important;
    color: var(--phoenix-body-color) !important;
    border: var(--phoenix-border-width) solid var(--phoenix-border-color);
    border-radius: var(--phoenix-border-radius) !important;
}
.select2-selection {
    padding-left: 96px !important;
    padding-top: 10px !important;
}
.select2-search textarea::placeholder {
    margin-left: 8px;
    font-size: 50%;
    text-transform: uppercase;
    font-weight: bold;
    color: rgba(var(--phoenix-body-color-rgb), 0.65);
}

.field-wrapper-jform_com_fields_education .btn-toolbar {
    display: none;
}

.drop-zone {    
    text-align: center;    
    border: 2px dashed var(--phoenix-border-color);    
    -webkit-border-radius: var(--phoenix-border-radius);
    -moz-border-radius: var(--phoenix-border-radius);
    border-radius: var(--phoenix-border-radius);
}
.drop-zone.done {
    background: rgba(var(--phoenix-success-rgb), 0.1);
    border-color: rgba(var(--phoenix-success-rgb), 1);
}
.drop-zone.hover {
    background: #0001;
    border-color: #aaa;
}
.drop-zone.error {
    background: rgba(var(--phoenix-danger-rgb), 0.1);
    border-color: rgba(var(--phoenix-danger-rgb), 1);
}
.drop-zone.drop {
    background: rgba(var(--phoenix-warning-rgb), 0.1);
    border-color: rgba(var(--phoenix-warning-rgb), 1);
}
.document-drop .drape {
    max-width: 0px;
    transition: max-width 0.5s;
}
.document-drop input:checked + .drape {
    max-width: 300px;
}
.form-floating label::after {
    background-color: transparent !important;
}
.select2-selection__choice {
    padding-right: 20px !important;
    padding-left: 4px !important;
/*
    background-color: #e5edff !important;
*/
    background-color: var(--phoenix-primary-lighter) !important;
    border: none !important;
    color: var(--phoenix-body-color) !important;
    border-radius: var(--phoenix-border-radius) !important;
}
.select2-selection__choice .select2-selection__choice__remove {
    left: auto !important;
    right: 0 !important;
    border: none !important;
    color: var(--phoenix-body-color) !important;
}
.select2-selection__choice .select2-selection__choice__remove:hover {
    background-color: var(--phoenix-primary-light) !important;
}
.select2-selection__clear {
    top: 0 !important;
    z-index: 1;
    margin-top: 10px !important;
    padding: 0 !important;
    width: 20px !important;
    line-height: 18px !important;
/*
    background-color: #e3e6ed !important;
*/
    background-color: var(--phoenix-primary-lighter) !important;
    border-radius: 50% !important;
    color: var(--phoenix-body-color) !important;
    border: var(--phoenix-border-width) solid var(--phoenix-border-color) !important;
}
.select2-selection__clear:hover {
    border-color: #aaa !important;
}
.select2-selection {
    padding-left: 30px !important;
    padding-right: 30px !important;
    padding-top: 20px !important;
    padding-bottom: 15px !important;
}
